header .content {
  background-color: var(--card-background);
  box-shadow: var(--shadow);
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 2rem;
  padding-bottom: 0;
  padding: 2rem clamp(1rem, 8vw, 4rem);
  transition: 0.2s ease-in-out;
}

header .content:has(#menu[aria-expanded="false"]) {
  gap: 0;
}

header .content nav .active::after {
  content: "";
  position: absolute;
  width: 100%;
  transform: scaleX(1);
  height: 2px;
  bottom: -5px;
  left: 0;
  background-color: var(--text);
  transform-origin: bottom left;
  transition: transform 0.25s ease-out;
}

.logo {
  display: inline-block;
  position: relative;
  font-size: 1.5rem;
  font-weight: 400;
}

.logo::after,
header .content nav a::after {
  content: "";
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 2px;
  bottom: -5px;
  left: 0;
  background-color: var(--text);
  transform-origin: bottom left;
  transition: transform 0.25s ease-out;
}

.logo:hover::after,
header .content nav a:hover::after {
  transform: scaleX(1);
  transform-origin: bottom left;
}

header .content nav {
  width: 100%;
}

header .content a {
  text-decoration: none;
  color: var(--text);
}

header .content nav a {
  display: block;
  position: relative;
}

header .content ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

#menu {
  display: flex;
  gap: 1rem;
  background-color: inherit;
  border: 0;
  color: inherit;
  font-variant: all-petite-caps;
  font-size: 1.2rem;
  align-items: center;
}

#menu span:nth-child(2) {
  margin-top: -0.15rem;
}

#menu .icon span {
  width: 1rem;
  height: 2px;
  background-color: var(--text);
  display: block;
  margin: 2px 0;
  transition: transform 0.2s ease-in-out;
}

#menu[aria-expanded="true"] + nav {
  animation: showDown;
  animation-duration: 0.4s;
  animation-fill-mode: forwards;
}

#menu[aria-expanded="false"] + nav {
  animation: hideUp;
  animation-duration: 0.4s;
  animation-fill-mode: forwards;
}

#menu[aria-expanded="true"] .icon span:nth-child(1) {
  transform: rotate(45deg) translateY(3px);
}

#menu[aria-expanded="true"] .icon span:nth-child(2) {
  display: none;
}

#menu[aria-expanded="true"] .icon span:nth-child(3) {
  transform: rotate(-45deg) translateY(-3px);
}

@media (min-width: 30em) {
  #menu {
    display: none;
  }

  #menu[aria-expanded="false"] + nav {
    animation: none;
  }

  header .content {
    flex-direction: column;
    align-items: center;
    gap: 2rem !important;
  }

  .content nav ul {
    flex-direction: row;
    justify-content: center;
  }
}

@keyframes rotate {
  60% {
    transform: rotate(45deg) scale(1.5);
    background-color: var(--background);
  }

  100% {
    transform: rotate(45deg) scale(1);
    background-color: var(--text);
  }
}

@keyframes showDown {
  0% {
    margin-top: -150%;
    opacity: 0;
    left: -100%;
  }

  60% {
    margin-top: 0;
    opacity: 0;
    left: -100%;
  }

  100% {
    opacity: 1;
    left: 0;
  }
}

@keyframes hideUp {
  0% {
    opacity: 1;
    margin-top: 0;
  }

  40% {
    opacity: 0;
    margin-top: 0;
  }

  100% {
    opacity: 0;
    margin-top: -150%;
    visibility: hidden;
  }
}
